%define anolis_release 2
%global debug_package %{nil}

Name:           pyatspi
Version:        2.46.0
Release:        %{anolis_release}%{?dist}
Summary:        Python bindings for at-spi

License:        LGPLv2 and GPLv2
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://download.gnome.org/sources/pyatspi/2.46/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  pkgconfig(atk) >= 2.11.2
BuildRequires:  pkgconfig(atspi-2)
BuildRequires:  pkgconfig(dbus-1) >= 1.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.1

BuildRequires:  python3-devel
BuildRequires:  python3-dbus

BuildArch:      noarch

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.


%package -n python3-pyatspi
Summary:        Python3 bindings for at-spi
Requires:       at-spi2-core
Requires:       python3-gobject

%description -n python3-pyatspi
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.


%prep
%autosetup -p1


%build
%configure --with-python=python3 --enable-tests
%make_build


%install
%make_install

# Fix up the shebang for python3 example
sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' examples/magFocusTracker.py


%check
# Done by the 'build' step, with --enable-tests


%files -n python3-pyatspi
%license COPYING COPYING.GPL
%doc AUTHORS README
%doc examples/magFocusTracker.py
%{python3_sitelib}/pyatspi/


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.46.0-2
- Rebuild with python3.11

* Tue Dec 20 2022 Funda Wang <fundawang@yeah.net> - 2.46.0-1
- New version 2.46.0

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 2.38.2-1
- Initial build for Anolis V23
